﻿using Infragistics;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace WpfApplication9
{
    public class Data : List<Widget>, INotifyPropertyChanged
    {
        private BrushCollection _Brushes;
        public BrushCollection Brushes
        {
            get
            {
                return this._Brushes;
            }
            set
            {
                bool changed = value != this.Brushes;
                if (changed)
                {
                    this._Brushes = value;
                    this.RaisePropertyChanged();
                }
            }
        }
        public Data()
        {
            this.Add(new Widget() { Label = "A", Value = 1 });
            this.Add(new Widget() { Label = "B", Value = 2 });
            this.Add(new Widget() { Label = "C", Value = 3 });
            this.Add(new Widget() { Label = "D", Value = 4 });
            this.Brushes = new BrushCollection();
            this.Brushes.Add(new SolidColorBrush(Colors.Red));
            this.Brushes.Add(new SolidColorBrush(Colors.Blue));
        }

        private void RaisePropertyChanged([CallerMemberName] string propertyName="NONE")
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
    public class Widget
    {
        public double Value { get; set; }
        public string Label { get; set; }

    }
}
